## ros-ros-comm 1.14.3+ds1

=== clients/roscpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roscpp)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++11;-Wall;-Wextra")
endif()

find_package(catkin REQUIRED COMPONENTS
  cpp_common message_generation rosconsole roscpp_serialization roscpp_traits rosgraph_msgs rostime std_msgs xmlrpcpp
)

catkin_package_xml()
# split version in parts and pass to extra file
string(REPLACE "." ";" roscpp_VERSION_LIST "${roscpp_VERSION}")
list(LENGTH roscpp_VERSION_LIST _count)
if(NOT _count EQUAL 3)
  message(FATAL_ERROR "roscpp version '${roscpp_VERSION}' does not match 'MAJOR.MINOR.PATCH' pattern")
endif()
list(GET roscpp_VERSION_LIST 0 roscpp_VERSION_MAJOR)
list(GET roscpp_VERSION_LIST 1 roscpp_VERSION_MINOR)
list(GET roscpp_VERSION_LIST 2 roscpp_VERSION_PATCH)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/ros/common.h.in ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ros/common.h)

find_package(Boost REQUIRED COMPONENTS chrono filesystem signals system)

include_directories(include ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ros ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_message_files(
  DIRECTORY msg
  FILES Logger.msg
)

add_service_files(
  DIRECTORY srv
  FILES Empty.srv GetLoggers.srv SetLoggerLevel.srv
)

generate_messages()

set(PTHREAD_LIB "")
find_package(Threads)
if(CMAKE_THREAD_LIBS_INIT)
  string(LENGTH ${CMAKE_THREAD_LIBS_INIT} _length)
  if(_length GREATER 2)
    string(SUBSTRING ${CMAKE_THREAD_LIBS_INIT} 0 2 _prefix)
    if(${_prefix} STREQUAL "-l")
      math(EXPR _rest_len "${_length} - 2")
      string(SUBSTRING ${CMAKE_THREAD_LIBS_INIT} 2 ${_rest_len} PTHREAD_LIB)
    endif()
  endif()
endif()

catkin_package(
  INCLUDE_DIRS include ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ros
  LIBRARIES roscpp ${PTHREAD_LIB}
  CATKIN_DEPENDS cpp_common message_runtime rosconsole roscpp_serialization roscpp_traits rosgraph_msgs rostime std_msgs xmlrpcpp
  DEPENDS Boost
)

include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckCXXSymbolExists)

# Not everybody has <ifaddrs.h> (e.g., embedded arm-linux)
CHECK_INCLUDE_FILES(ifaddrs.h HAVE_IFADDRS_H)
# Not everybody has trunc (e.g., Windows, embedded arm-linux)
CHECK_FUNCTION_EXISTS(trunc HAVE_TRUNC)
# Not everybody has epoll (e.g., Windows, BSD, embedded arm-linux) 
CHECK_CXX_SYMBOL_EXISTS(epoll_wait "sys/epoll.h" HAVE_EPOLL)

# Output test results to config.h
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/libros/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(roscpp 
  src/libros/master.cpp
  src/libros/network.cpp
  src/libros/subscriber.cpp
  src/libros/common.cpp
  src/libros/publisher_link.cpp
  src/libros/service_publication.cpp
  src/libros/connection.cpp
  src/libros/single_subscriber_publisher.cpp
  src/libros/param.cpp
  src/libros/service_server.cpp
  src/libros/wall_timer.cpp
  src/libros/xmlrpc_manager.cpp
  src/libros/publisher.cpp
  src/libros/timer.cpp
  src/libros/io.cpp
  src/libros/names.cpp
  src/libros/topic.cpp
  src/libros/topic_manager.cpp
  src/libros/poll_manager.cpp
  src/libros/publication.cpp
  src/libros/statistics.cpp
  src/libros/intraprocess_subscriber_link.cpp
  src/libros/intraprocess_publisher_link.cpp
  src/libros/callback_queue.cpp
  src/libros/service_server_link.cpp
  src/libros/service_client.cpp
  src/libros/node_handle.cpp
  src/libros/connection_manager.cpp
  src/libros/file_log.cpp
  src/libros/transport/transport.cpp
  src/libros/transport/transport_udp.cpp
  src/libros/transport/transport_tcp.cpp
  src/libros/subscriber_link.cpp
  src/libros/service_client_link.cpp
  src/libros/transport_publisher_link.cpp
  src/libros/transport_subscriber_link.cpp
  src/libros/service_manager.cpp
  src/libros/rosout_appender.cpp
  src/libros/init.cpp
  src/libros/subscription.cpp
  src/libros/subscription_queue.cpp
  src/libros/spinner.cpp
  src/libros/internal_timer_manager.cpp
  src/libros/message_deserializer.cpp
  src/libros/poll_set.cpp
  src/libros/service.cpp
  src/libros/this_node.cpp
  src/libros/steady_timer.cpp
  )

add_dependencies(roscpp ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

target_link_libraries(roscpp
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  )

#explicitly install library and includes
install(TARGETS roscpp
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")
install(FILES ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ros/common.h
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ros)
# install legacy infrastructure needed by rosbuild
install(FILES rosbuild/roscpp.cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rosbuild)
catkin_install_python(PROGRAMS
  rosbuild/scripts/genmsg_cpp.py
  rosbuild/scripts/gensrv_cpp.py
  rosbuild/scripts/msg_gen.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rosbuild/scripts)

=== clients/rospy/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rospy)
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

# install legacy infrastructure needed by rosbuild
install(FILES rosbuild/rospy.cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rosbuild)
catkin_install_python(PROGRAMS
  rosbuild/scripts/genmsg_py.py
  rosbuild/scripts/gensrv_py.py
  rosbuild/scripts/genutil.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rosbuild/scripts)

=== test/test_rosbag/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(test_rosbag)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin REQUIRED COMPONENTS message_generation rosbag rosconsole roscpp rosgraph_msgs rostest rosunit topic_tools xmlrpcpp)

if(CATKIN_ENABLE_TESTING)
  find_package(Boost REQUIRED COMPONENTS regex program_options)
  find_package(BZip2 REQUIRED)

  add_subdirectory(bag_migration_tests)
endif()

catkin_package()

if(CATKIN_ENABLE_TESTING)
  include_directories(${catkin_INCLUDE_DIRS} ${GTEST_INCLUDE_DIRS})

  catkin_download_test_data(download_data_test_indexed_1.2.bag http://download.ros.org/data/rosbag/test_indexed_1.2.bag
    FILENAME test/test_indexed_1.2.bag MD5 523cc0deb66269c84be4a7c605ff5eb3)
  catkin_download_test_data(download_data_test_chatter_50hz.bag http://download.ros.org/data/rosbag/chatter_50hz.bag
    FILENAME test/chatter_50hz.bag MD5 00844db3729b1b5f34e767dc691bd531)
  catkin_download_test_data(download_data_test_future_version_2.1.bag http://download.ros.org/data/rosbag/test_future_version_2.1.bag
    FILENAME test/test_future_version_2.1.bag MD5 ddcb5e8711b16514eb640330ed93c332)
  catkin_download_test_data(download_data_test_rosbag_latched_pub.bag http://download.ros.org/data/rosbag/test_rosbag_latched_pub.bag
    FILENAME test/test_rosbag_latched_pub.bag MD5 ed70b8cbb8a53220434aeb24bccf7342)

  catkin_add_nosetests(test/test_bag.py)

  configure_file(test/test_bag.cpp.in 
                 ${PROJECT_BINARY_DIR}/test/test_bag.cpp)
  catkin_add_gtest(test_bag ${PROJECT_BINARY_DIR}/test/test_bag.cpp)
  if(TARGET test_bag)
    target_link_libraries(test_bag ${catkin_LIBRARIES})
  endif()

  configure_file(test/play_play.test.in 
                 ${PROJECT_BINARY_DIR}/test/play_play.test)
  add_rostest(${PROJECT_BINARY_DIR}/test/play_play.test)
  configure_file(test/rosbag_play.test.in 
                 ${PROJECT_BINARY_DIR}/test/rosbag_play.test)
  add_rostest(${PROJECT_BINARY_DIR}/test/rosbag_play.test)

  add_rostest(test/latched_pub.test)
  configure_file(test/latched_sub.test.in ${PROJECT_BINARY_DIR}/test/latched_sub.test)
  add_rostest(${PROJECT_BINARY_DIR}/test/latched_sub.test)
  add_rostest(test/record_two_publishers.test)
  add_rostest(test/record_one_publisher_two_topics.test)

  include_directories(${GTEST_INCLUDE_DIRS})
  add_executable(double_pub EXCLUDE_FROM_ALL test/double_pub.cpp)
  target_link_libraries(double_pub ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
  add_dependencies(double_pub ${rosgraph_msgs_EXPORTED_TARGETS})
  if(TARGET tests)
    add_dependencies(tests double_pub)
  endif()
endif()

=== test/test_rosgraph/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(test_rosgraph)
find_package(catkin REQUIRED COMPONENTS rostest)
catkin_package()

if(CATKIN_ENABLE_TESTING)
  add_rostest(test/masterapi.test)
endif()

=== test/test_roslaunch/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(test_roslaunch)
find_package(catkin REQUIRED COMPONENTS rostest)
catkin_package()

if(CATKIN_ENABLE_TESTING)
  add_rostest(test/roslaunch.test)
  add_rostest(test/env.test)
  add_rostest(test/params_basic.test)
endif()

=== test/test_rosmaster/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(test_rosmaster)

find_package(catkin REQUIRED COMPONENTS genmsg rostest std_msgs)

if(CATKIN_ENABLE_TESTING)
  add_message_files(DIRECTORY msg
    FILES
    String.msg
    Arrays.msg
    CompositeA.msg CompositeB.msg Composite.msg
    Embed.msg Floats.msg Simple.msg
    RosmsgA.msg
    RosmsgB.msg
    RosmsgC.msg
    TestArrays.msg
    TestHeader.msg
    TestPrimitives.msg
    TestString.msg
    TVals.msg
  )
  add_service_files(DIRECTORY srv
    FILES
    AddTwoInts.srv
    RossrvA.srv
    RossrvB.srv
  )

  generate_messages(DEPENDENCIES std_msgs)
endif()

catkin_package()

if(CATKIN_ENABLE_TESTING)
  add_rostest(test/rosmaster.test)
  add_rostest(test/paramserver.test)
endif()

=== tools/rosbag/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosbag)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin REQUIRED COMPONENTS rosbag_storage rosconsole roscpp std_srvs topic_tools xmlrpcpp)
find_package(Boost REQUIRED COMPONENTS date_time regex program_options filesystem)
find_package(BZip2 REQUIRED)

catkin_python_setup()

# Support large bags (>2GB) on 32-bit systems
add_definitions(-D_FILE_OFFSET_BITS=64)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS}
  ${BZIP2_INCLUDE_DIR}
)

catkin_package(
  LIBRARIES rosbag
  INCLUDE_DIRS include
  CATKIN_DEPENDS rosbag_storage rosconsole roscpp std_srvs topic_tools xmlrpcpp)

add_library(rosbag
  src/player.cpp
  src/recorder.cpp
  src/time_translator.cpp)

target_link_libraries(rosbag ${catkin_LIBRARIES} ${Boost_LIBRARIES}
  ${BZIP2_LIBRARIES}
)

add_executable(record src/record.cpp)
target_link_libraries(record rosbag)

add_executable(play src/play.cpp)
target_link_libraries(play rosbag)

if(NOT WIN32)
  add_executable(encrypt src/encrypt.cpp)
  target_link_libraries(encrypt ${catkin_LIBRARIES})
endif()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")
install(TARGETS rosbag
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(TARGETS record play
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
if(NOT WIN32)
  install(TARGETS encrypt
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
endif()
catkin_install_python(PROGRAMS
  scripts/bag2png.py
  scripts/bagsort.py
  scripts/fastrebag.py
  scripts/fixbag.py
  scripts/fixbag_batch.py
  scripts/fix_md5sums.py
  scripts/fix_moved_messages.py
  scripts/fix_msg_defs.py
  scripts/makerule.py
  scripts/savemsg.py
  scripts/topic_renamer.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== tools/rosbag_storage/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(rosbag_storage)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(console_bridge REQUIRED)
find_package(catkin REQUIRED COMPONENTS cpp_common pluginlib roscpp_serialization roscpp_traits rostime roslz4)
find_package(Boost REQUIRED COMPONENTS date_time filesystem program_options regex)
find_package(BZip2 REQUIRED)

catkin_package(
  CFG_EXTRAS rosbag_storage-extras.cmake
  INCLUDE_DIRS include
  LIBRARIES rosbag_storage
  CATKIN_DEPENDS pluginlib roslz4
  DEPENDS console_bridge Boost
)

# Support large bags (>2GB) on 32-bit systems
add_definitions(-D_FILE_OFFSET_BITS=64)

include_directories(include ${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${BZIP2_INCLUDE_DIR})
add_definitions(${BZIP2_DEFINITIONS})

set(AES_ENCRYPT_SOURCE "")
set(AES_ENCRYPT_LIBRARIES "")
if(NOT WIN32)
  set(AES_ENCRYPT_SOURCE "src/aes_encryptor.cpp")
  set(AES_ENCRYPT_LIBRARIES "crypto" "gpgme")
endif()

add_library(rosbag_storage
  ${AES_ENCRYPT_SOURCE}
  src/bag.cpp
  src/bag_player.cpp
  src/buffer.cpp
  src/bz2_stream.cpp
  src/lz4_stream.cpp
  src/chunked_file.cpp
  src/encryptor.cpp
  src/message_instance.cpp
  src/query.cpp
  src/stream.cpp
  src/view.cpp
  src/uncompressed_stream.cpp
)
target_link_libraries(rosbag_storage ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${BZIP2_LIBRARIES} ${console_bridge_LIBRARIES} ${AES_ENCRYPT_LIBRARIES})

install(TARGETS rosbag_storage
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

if(NOT WIN32)
  install(FILES encryptor_plugins.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )

  if(CATKIN_ENABLE_TESTING)
    find_package(rostest)

    catkin_add_gtest(test_aes_encryptor test/test_aes_encryptor.cpp
      WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/test)
    if(TARGET test_aes_encryptor)
      target_link_libraries(test_aes_encryptor rosbag_storage ${catkin_LIBRARIES} ${Boost_LIBRARIES})
    endif()
  endif()
endif()

=== tools/rosgraph/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosgraph)
find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

# logging config file goes in both etc and package layout (for now).
# want to get rid of package layout copy, but need to be able to
# locate etc first.
install(FILES conf/python_logging.conf
  DESTINATION ${CATKIN_GLOBAL_ETC_DESTINATION}/ros)
install(FILES conf/python_logging.conf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/conf)
catkin_install_python(PROGRAMS scripts/rosgraph
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== tools/roslaunch/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roslaunch)
find_package(catkin REQUIRED)
catkin_package(CFG_EXTRAS roslaunch-extras.cmake)

if(CMAKE_HOST_UNIX)
  catkin_add_env_hooks(10.roslaunch SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
else()
  catkin_add_env_hooks(10.roslaunch SHELLS bat DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
endif()

catkin_python_setup()

install(FILES resources/roscore.xml
  DESTINATION ${CATKIN_GLOBAL_ETC_DESTINATION}/ros)

# install example launch files
install(DIRECTORY resources
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# required for old rosbuild macro to be under PKGNAME/scripts
catkin_install_python(PROGRAMS scripts/roslaunch-check
  DESTINATION  ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts)

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/unit)
endif()

=== tools/rosmsg/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosmsg)
find_package(catkin)
catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== tools/rosout/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosout)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin REQUIRED COMPONENTS roscpp rosgraph_msgs)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

add_executable(rosout rosout.cpp)
target_link_libraries(rosout ${catkin_LIBRARIES})

install(TARGETS rosout
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-ros-comm (1.14.3+ds1-5+deb10u2+rebuild) UNRELEASED; urgency=medium

  * update

 -- Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>  Tue, 08 Dec 2020 20:06:39 +0800

ros-ros-comm (1.14.3+ds1-5+deb10u2) buster; urgency=high

  * Add https://github.com/ros/ros_comm/pull/2065 (Fix CVE-2020-16124)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Oct 2020 17:48:57 +0200

ros-ros-comm (1.14.3+ds1-5+deb10u1) stable; urgency=high

  * Add https://github.com/ros/ros_comm/pull/1771 (Fix CVE-2019-13566, CVE-2019-13465)
  * Add https://github.com/ros/ros_comm/pull/1741 (Fix CVE-2019-13445)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Jan 2020 15:33:55 +0100

ros-ros-comm (1.14.3+ds1-5) unstable; urgency=medium

  * install ros/transport headers (LP: #1815896)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Feb 2019 19:45:15 +0100

ros-ros-comm (1.14.3+ds1-4) unstable; urgency=medium

  * Add recommends for remote roslaunch
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Jan 2019 10:04:35 +0100

ros-ros-comm (1.14.3+ds1-3) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * Team upload.
  * improve autopkgtest
      - add names to tests
      - test python3 packages instead of python2 packages
      - replace python_import script by directly invoking python -c ...
  * enable hardening
  * refresh patches

  [ Jochen Sprickerhof ]
  * Undo autopkgtest changes from 1.14.3+ds1-1 and run each test by itself.
    The main purpose of the tests is to make sure that the package
    dependencies are fulfilled but this cannot be checked anymore if all
    packages and their dependencies are installed at once.

 -- Johannes 'josch' Schauer <josch@debian.org>  Sat, 08 Dec 2018 13:22:11 +0100

ros-ros-comm (1.14.3+ds1-2) unstable; urgency=medium

  * Fix autopkgtest filename

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Oct 2018 22:55:21 +0100

ros-ros-comm (1.14.3+ds1-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Run CI as a single ADT test in a single VM

  [ Jochen Sprickerhof ]
  * New upstream version 1.14.3+ds1
  * Fix autopkgtest name

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Oct 2018 21:53:53 +0100

ros-ros-comm (1.14.2+ds1-11) unstable; urgency=medium

  * Adopt to new catkin

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Oct 2018 08:04:03 +0200

=== debian/control ===
Source: ros-ros-comm
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11), catkin (>= 0.7.14-5), dh-exec, libroscpp-core-dev,
 python-rosunit, libconsole-bridge-dev, libboost-date-time-dev,
 libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev,
 libboost-system-dev, libboost-thread-dev, libboost-signals-dev, liblz4-dev,
 ros-message-generation, libbz2-dev, libros-rosgraph-msgs-dev, libstd-msgs-dev,
 dh-python, python-dev, python3-dev, liblog4cxx-dev, libstd-srvs-dev, libboost-chrono-dev, libb64-dev, librosconsole-dev, pluginlib-dev, libgpgme-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm
Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/ros_comm


###########
# Clients #
###########

Package: libroscpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libroscpp2d (= ${binary:Version}), ${misc:Depends}, python, libboost-signals-dev, libboost-filesystem-dev, libboost-system-dev, librosconsole-dev, libros-rosgraph-msgs-dev, libxmlrpcpp-dev, libroscpp-msg-dev
Description: Robot OS development files for libroscpp
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the development files for the library.

Package: libroscpp2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS client library
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the library.

Package: ros-roscpp-msg
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Conflicts: ros-roscpp-msgs
Replaces: ros-roscpp-msgs
Description: Robot OS definitions of roscpp messages
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the message definitions.

Package: libroscpp-msg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libroscpp-core-dev
Conflicts: libroscpp-msgs-dev
Replaces: libroscpp-msgs-dev
Description: Robot OS header for roscpp messages
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated C++ headers.

Package: python-roscpp-msg
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-genpy
Conflicts: python-roscpp-msgs
Replaces: python-roscpp-msgs
Description: Header for roscpp messages, Python 2
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated Python 2 package.

Package: python3-roscpp-msg
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy
Description: Header for roscpp messages, Python 3
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated Python 3 package.

Package: cl-roscpp-msg
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: cl-roscpp-msgs
Replaces: cl-roscpp-msgs
Description: Header for roscpp messages, LISP
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated LISP library.

Package: python-rospy
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${misc:Depends}, python-std-msgs, python-rosgraph, python-roscpp-msg, python-rosgraph-msgs, python-yaml, python-roslib
Description: Python 2 client library for Robot OS
 This package is part of Robot OS (ROS). The rospy client API enables
 Python programmers to quickly interface with ROS topics, services,
 and parameters. The design of rospy favors implementation speed
 (i.e. developer time) over runtime performance so that algorithms can
 be quickly prototyped and tested within ROS. It is also ideal for
 non-critical-path code, such as configuration and initialization
 code. Many of the ROS tools are written in rospy to take advantage of
 the type introspection capabilities.
 .
 Many of the ROS tools, such as rostopic and rosservice, are built on
 top of rospy.
 .
 This package contains the Python 2 library.

Package: python3-rospy
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-std-msgs, python3-rosgraph, python3-roscpp-msg, python3-rosgraph-msgs, python3-yaml, python3-roslib
Description: Python 3 client library for Robot OS
 This package is part of Robot OS (ROS). The rospy client API enables
 Python programmers to quickly interface with ROS topics, services,
 and parameters. The design of rospy favors implementation speed
 (i.e. developer time) over runtime performance so that algorithms can
 be quickly prototyped and tested within ROS. It is also ideal for
 non-critical-path code, such as configuration and initialization
 code. Many of the ROS tools are written in rospy to take advantage of
 the type introspection capabilities.
 .
 Many of the ROS tools, such as rostopic and rosservice, are built on
 top of rospy.
 .
 This package contains the Python 3 library.


#########
# Tools #
#########

Package: librosbag-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librosbag3d (= ${binary:Version}), ${misc:Depends}, librosbag-storage-dev, librosconsole-dev, libroscpp-dev, libtopic-tools-dev, libxmlrpcpp-dev, libstd-srvs-dev
Description: Tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the development files
 for the rosbag library, which provides APIs for reading/writing bags
 (ROS message stores) in C++ and Python.

Package: librosbag3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the rosbag library,
 which provides APIs for reading/writing bags (ROS message stores) in
 C++ and Python. It is intended to be high performance and avoids
 deserialization and reserialization of the messages.
 .
 The related rosbag package provides a command-line tool for working
 with bags.

Package: python-rosbag
Section: python
Architecture: any
Multi-Arch: allowed
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-roslib, python-rospy, python-roslz4, python-crypto, python-gnupg
Description: Python 2 tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It provides a command-line
 tool for working with bags (ROS messages stores). The corresponding
 librosbag package provides corresponding C++ and Python APIs.
 .
 This package contains the Python 2 library.

Package: python3-rosbag
Section: python
Architecture: any
Multi-Arch: allowed
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-roslib, python3-rospy, python3-roslz4, python3-crypto, python3-gnupg
Description: Python 3 tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It provides a command-line
 tool for working with bags (ROS messages stores). The corresponding
 librosbag package provides corresponding C++ and Python APIs.
 .
 This package contains the Python 3 library.

Package: librosbag-storage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librosbag-storage3d (= ${binary:Version}), ${misc:Depends}, libconsole-bridge-dev, libboost-date-time-dev, libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev, libroslz4-dev, libbz2-dev, pluginlib-dev, libgpgme-dev
Description: Development files for librosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the development files for the library.

Package: librosbag-storage3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS library for rosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the library.

Package: python-rosgraph
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${misc:Depends}, python-yaml, python-rospkg
Description: Tool to print information about the Robot OS computation graph - Python 2
 This package is part of Robot OS (ROS). rosgraph contains the
 rosgraph command-line tool, which prints information about the ROS
 computation graph. It also provides an internal library that can be
 used by graphical tools.
 .
 This package contains the Python 2 library.

Package: python3-rosgraph
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-yaml, python3-rospkg
Description: Tool to print information about the Robot OS computation graph - Python 3
 This package is part of Robot OS (ROS). rosgraph contains the
 rosgraph command-line tool, which prints information about the ROS
 computation graph. It also provides an internal library that can be
 used by graphical tools.
 .
 This package contains the Python 3 library.

Package: python-roslaunch
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${misc:Depends}, python-rosclean,
 rosout, python-rospkg, python-rosgraph, python-roslib, python-rosmaster,
 python-rosgraph-msgs, python-netifaces, python-rosparam, python-yaml
Recommends: python-crypto, python-paramiko
Description: roslaunch tool for Robot OS - Python 2
 This package is part of Robot OS (ROS). roslaunch is a tool for
 easily launching multiple ROS nodes locally and remotely via SSH, as

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh  $@ --with=python2,python3 --buildsystem=cmake

## ros-ros-comm 1.15.8+ds1

=== test/test_rosbag/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 
 project(test_rosbag)

=== tools/rostest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rostest)

find_package(catkin COMPONENTS rosunit)
find_package(Boost COMPONENTS thread)

include_directories(include ${Boost_INCLUDE_DIRS})

catkin_package(DEPENDS Boost
  INCLUDE_DIRS include
  CFG_EXTRAS ${PROJECT_NAME}-extras.cmake
  )
catkin_python_setup()

catkin_install_python(
  PROGRAMS nodes/hztest nodes/paramtest nodes/publishtest
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/nodes)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

if(CATKIN_ENABLE_TESTING)
  find_package(catkin COMPONENTS rostest)

  catkin_add_gtest(test_permuter test/test_permuter.cpp)
  if(TARGET test_permuter)
    target_link_libraries(test_permuter ${Boost_LIBRARIES})
  endif()

  add_rostest(test/hztest0.test)
  add_rostest(test/hztest.test)
  add_rostest(test/publishtest.test)
  add_rostest(test/clean_master.test)
  add_rostest(test/distro_version.test)
  add_rostest(test/param.test)
  add_rostest(test/advertisetest.test)
endif()

=== debian/changelog ===
ros-ros-comm (1.15.8+ds1-1) unstable; urgency=medium

  * New upstream version 1.15.8+ds1

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Jul 2020 22:11:22 +0200

ros-ros-comm (1.15.7+ds1-3) unstable; urgency=medium

  * Fix dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 03 Jul 2020 16:39:47 +0200

ros-ros-comm (1.15.7+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * simplify d/*.install

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Jun 2020 23:50:17 +0200

ros-ros-comm (1.15.7+ds1-1) experimental; urgency=medium

  * New upstream version 1.15.7+ds1
  * update copyright
  * Remove Thomas from Uploaders, thanks for working on this
  * rebase patches
  * bump debhelper version
  * Bump Sonames due to ABI changes

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 07 Jun 2020 09:38:41 +0200

ros-ros-comm (1.14.3+ds1-13) unstable; urgency=medium

  * Add patch for findCaller API change in Python 3.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 07 Apr 2020 18:45:52 +0200

ros-ros-comm (1.14.3+ds1-12) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * python3-rosbag arch: any -> all (thx pochu)
  * Revert "python3-rosbag arch: any -> all (thx pochu)"
  * bump policy version (no changes)
  * Support multiple Python version (Closes: #955317)

  [ Giovanni Mascellani ]
  * Fix FTBFS with Boost 1.71. (Closes: #954653)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Apr 2020 20:59:27 +0200

ros-ros-comm (1.14.3+ds1-11) unstable; urgency=medium

  * Add https://github.com/ros/ros_comm/pull/1741 (Fix CVE-2019-13445)
    (Closes: #947947)
  * Update changelog to mention fixed CVE-2019-13465

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Jan 2020 10:55:33 +0100

ros-ros-comm (1.14.3+ds1-10) unstable; urgency=high

  * Add https://github.com/ros/ros_comm/pull/1771 (Fix CVE-2019-13566, CVE-2019-13465)
    (Closes: #945361)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Nov 2019 18:05:02 +0100

ros-ros-comm (1.14.3+ds1-9) unstable; urgency=medium

  * Add missing dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Nov 2019 22:37:59 +0100

ros-ros-comm (1.14.3+ds1-8) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938393)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 07:14:00 +0200

ros-ros-comm (1.14.3+ds1-7) unstable; urgency=medium

  * add Salsa CI
  * python3-graph depends on python-graph for cmake files

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 09:54:50 +0200

ros-ros-comm (1.14.3+ds1-6) unstable; urgency=medium

  * python3-rospy depends on python-rospy for cmake files
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 24 Oct 2019 07:07:35 +0200

=== debian/control ===
Source: ros-ros-comm
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13), catkin, libroscpp-core-dev,
 python3-rosunit, libconsole-bridge-dev, libboost-date-time-dev,
 libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev,
 libboost-system-dev, libboost-thread-dev, liblz4-dev,
 ros-message-generation, libbz2-dev, libros-rosgraph-msgs-dev, libstd-msgs-dev,
 dh-sequence-python3, python3-all-dev, liblog4cxx-dev, libstd-srvs-dev, libboost-chrono-dev, libb64-dev, librosconsole-dev, pluginlib-dev, libgpgme-dev, python3-empy
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm
Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/ros_comm


###########
# Clients #
###########

Package: libroscpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libroscpp3d (= ${binary:Version}), ${misc:Depends}, python3, libboost-filesystem-dev, libboost-system-dev, librosconsole-dev, libros-rosgraph-msgs-dev, libxmlrpcpp-dev, libroscpp-msg-dev
Description: Robot OS development files for libroscpp
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the development files for the library.

Package: libroscpp3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS client library
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the library.

Package: ros-roscpp-msg
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Conflicts: ros-roscpp-msgs
Replaces: ros-roscpp-msgs
Description: Robot OS definitions of roscpp messages
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the message definitions.

Package: libroscpp-msg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libroscpp-core-dev
Conflicts: libroscpp-msgs-dev
Replaces: libroscpp-msgs-dev
Description: Robot OS header for roscpp messages
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated C++ headers.

Package: python3-roscpp-msg
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy
Description: Header for roscpp messages, Python 3
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated Python 3 package.

Package: cl-roscpp-msg
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: cl-roscpp-msgs
Replaces: cl-roscpp-msgs
Description: Header for roscpp messages, LISP
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated LISP library.

Package: python3-rospy
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-std-msgs, python3-rosgraph, python3-roscpp-msg, python3-rosgraph-msgs, python3-yaml, python3-roslib
Breaks: python-rospy (<< 1.14.3+ds1-8)
Replaces: python-rospy (<< 1.14.3+ds1-8)
Description: Python 3 client library for Robot OS
 This package is part of Robot OS (ROS). The rospy client API enables
 Python programmers to quickly interface with ROS topics, services,
 and parameters. The design of rospy favors implementation speed
 (i.e. developer time) over runtime performance so that algorithms can
 be quickly prototyped and tested within ROS. It is also ideal for
 non-critical-path code, such as configuration and initialization
 code. Many of the ROS tools are written in rospy to take advantage of
 the type introspection capabilities.
 .
 Many of the ROS tools, such as rostopic and rosservice, are built on
 top of rospy.
 .
 This package contains the Python 3 library.


#########
# Tools #
#########

Package: librosbag-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librosbag4d (= ${binary:Version}), ${misc:Depends}, librosbag-storage-dev, librosconsole-dev, libroscpp-dev, libtopic-tools-dev, libxmlrpcpp-dev, libstd-srvs-dev
Description: Tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the development files
 for the rosbag library, which provides APIs for reading/writing bags
 (ROS message stores) in C++ and Python.

Package: librosbag4d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the rosbag library,
 which provides APIs for reading/writing bags (ROS message stores) in
 C++ and Python. It is intended to be high performance and avoids
 deserialization and reserialization of the messages.
 .
 The related rosbag package provides a command-line tool for working
 with bags.

Package: python3-rosbag
Section: python
Architecture: any
Multi-Arch: allowed
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-roslib, python3-rospy, python3-roslz4, python3-pycryptodome, python3-gnupg
Breaks: python-rosbag (<< 1.14.3+ds1-8)
Replaces: python-rosbag (<< 1.14.3+ds1-8)
Description: Python 3 tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It provides a command-line
 tool for working with bags (ROS messages stores). The corresponding
 librosbag package provides corresponding C++ and Python APIs.
 .
 This package contains the Python 3 library.

Package: librosbag-storage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librosbag-storage4d (= ${binary:Version}), ${misc:Depends}, libconsole-bridge-dev, libboost-date-time-dev, libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev, libroslz4-dev, libbz2-dev, pluginlib-dev, libgpgme-dev
Description: Development files for librosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the development files for the library.

Package: librosbag-storage4d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS library for rosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the library.

Package: python3-rosgraph
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-yaml, python3-rospkg
Breaks: python-rosgraph (<< 1.14.3+ds1-8)
Replaces: python-rosgraph (<< 1.14.3+ds1-8)
Description: Tool to print information about the Robot OS computation graph - Python 3
 This package is part of Robot OS (ROS). rosgraph contains the
 rosgraph command-line tool, which prints information about the ROS
 computation graph. It also provides an internal library that can be
 used by graphical tools.
 .
 This package contains the Python 3 library.

Package: python3-roslaunch
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rosclean,
 rosout, python3-rospkg, python3-rosgraph, python3-roslib, python3-rosmaster,
 python3-rosgraph-msgs, python3-netifaces, python3-rosparam, python3-yaml
Recommends: python3-crypto, python3-paramiko
Breaks: python-roslaunch (<< 1.14.3+ds1-8)
Replaces: python-roslaunch (<< 1.14.3+ds1-8)
Description: roslaunch tool for Robot OS - Python 3
 This package is part of Robot OS (ROS). roslaunch is a tool for
 easily launching multiple ROS nodes locally and remotely via SSH, as
 well as setting parameters on the Parameter Server. It includes
 options to automatically respawn processes that have already died.
 roslaunch takes in one or more XML configuration files (with the
 launch extension) that specify the parameters to set and nodes to
 launch, as well as the machines that they should be run on.
 .
 This package contains the Python 3 library.

Package: python3-rosmaster
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rosgraph, python3-rospkg, python3-defusedxml
Breaks: python-rosmaster (<< 1.14.3+ds1-8)
Replaces: python-rosmaster (<< 1.14.3+ds1-8)
Description: Robot OS Master implementation - Python 3
 This package is part of Robot OS (ROS). The rosmaster package
 implements the ROS Master. Most programs will not need to interact
 with this package directly. The rosmaster is run automatically
 whenever roscore is run and all communication with the Master happens
 over XMLRPC APIs.
 .
 This package contains the Python 3 library.

Package: python3-rosmsg
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rosgraph, python3-rospkg, python3-roslib, python3-rosbag, python3-genpy
Breaks: python-rosmsg (<< 1.14.3+ds1-8)
Replaces: python-rosmsg (<< 1.14.3+ds1-8)
Description: Command-line tools for displaying information about Robot OS - Python 3
 This package is part of Robot OS (ROS). rosmsg is a command-line tool
 for displaying information about ROS Message types. rossrv is a
 command-line tool for displaying information about ROS Service types.
 .
 This package contains the Python 3 library.

Package: python3-rosnode
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rosgraph, python3-rostopic
Breaks: python-rosnode (<< 1.14.3+ds1-8)
Replaces: python-rosnode (<< 1.14.3+ds1-8)
Description: Tool for displaying debug information about Robot OS - Python 3
 This package is part of Robot OS (ROS). rosnode is a command-line
 tool for displaying debug information about ROS Nodes, including
 publications, subscriptions and connections. It also contains an
 experimental library for retrieving node information. This library is
 intended for internal use only.
 .
 This package contains the Python 3 library.

Package: rosout
Section: misc
Architecture: any
